<div>
  <h3>Palette</h3>
  <table>
    <tbody>
      <tr *ngFor="let prop of palette | keyvalue">
        <td><div class="bubble" [style.background-color]="prop.value"></div></td>
        <td><pre>{{ prop.key }}</pre></td>
        <td><pre>{{ prop.value }}</pre></td>
      </tr>
    </tbody>
  </table>
</div>

<div>
  <h3>Buttons</h3>
  <div class="preview"
    [style.background-color]="palette ? palette['bg'] : null"
    [style.color]="palette ? palette['fill'] : null">Default</div>
  <div class="preview"
    [style.background-color]="palette ? palette['bg-hover'] : null"
    [style.color]="palette ? palette['fill-hover'] : null">Hover</div>
  <div class="preview"
    [style.background-color]="palette ? palette['bg-active'] : null"
    [style.color]="palette ? palette['fill-active'] : null">Active</div>
  <h3>Links</h3>
  <div class="preview">
    <a href="#" [style.color]="palette ? palette['text'] : null">Default</a></div>
  <div class="preview">
    <a href="#" [style.color]="palette ? palette['text-hover'] : null">Hover</a></div>
  <div class="preview">
    <a href="#" [style.color]="palette ? palette['text-active'] : null">Active</a></div>
</div>
